<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hssx.pcbms.mapper.ScoreMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hssx.pcbms.entity.Score">
        <id column="score_id" property="scoreId" />
        <result column="personal_score" property="personalScore" />
        <result column="idea_score" property="ideaScore" />
        <result column="total" property="total" />
        <result column="reason" property="reason" />
        <result column="rater_id" property="raterId" />
        <result column="rater" property="rater" />
        <result column="uid" property="uid" />
        <result column="scoring_year_month" property="scoringYearMonth" />
        <result column="dept_id" property="deptId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        score_id, personal_score, idea_score, total, reason, rater_id, rater, uid, scoring_year_month, dept_id
    </sql>

</mapper>
